jm.music.data

## Class Alignment

- java.lang.Object
- - jm.music.data.Alignment

- All Implemented Interfaces:
    java.io.Serializable

      public abstract class Alignment
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Alignment` | `AFTER`
    `static Alignment` | `BEFORE`
    `static Alignment` | `CENTER_ALIGN`
    `static Alignment` | `CENTER_ON_END`
    `static Alignment` | `CENTER_ON_START`
    `static Alignment` | `CENTRE_ALIGN`
    `static Alignment` | `CENTRE_ON_END`
    `static Alignment` | `CENTRE_ON_START`
    `static Alignment` | `END_ON_CENTER`
    `static Alignment` | `END_ON_CENTRE`
    `static Alignment` | `END_TOGETHER`
    `static Alignment` | `START_ON_CENTER`
    `static Alignment` | `START_ON_CENTRE`
    `static Alignment` | `START_TOGETHER`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Alignment()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### START_TOGETHER

          public static final Alignment START_TOGETHER

    - #### END_TOGETHER

          public static final Alignment END_TOGETHER

    - #### AFTER

          public static final Alignment AFTER

    - #### BEFORE

          public static final Alignment BEFORE

    - #### CENTRE_ALIGN

          public static final Alignment CENTRE_ALIGN

    - #### CENTER_ALIGN

          public static final Alignment CENTER_ALIGN

    - #### START_ON_CENTRE

          public static final Alignment START_ON_CENTRE

    - #### START_ON_CENTER

          public static final Alignment START_ON_CENTER

    - #### END_ON_CENTRE

          public static final Alignment END_ON_CENTRE

    - #### END_ON_CENTER

          public static final Alignment END_ON_CENTER

    - #### CENTRE_ON_START

          public static final Alignment CENTRE_ON_START

    - #### CENTER_ON_START

          public static final Alignment CENTER_ON_START

    - #### CENTRE_ON_END

          public static final Alignment CENTRE_ON_END

    - #### CENTER_ON_END

          public static final Alignment CENTER_ON_END

  - ### Constructor Detail

    - #### Alignment

          protected Alignment()